namespace Decal.Filters;

public sealed class SpellComponentIDs : RawTable<int>
{
	private int mHash;

	internal SpellComponentIDs(int length, int hash)
	{
		InitializeTable(length);
		mHash = hash;
	}

	internal override bool LoadFrom(byte[] data)
	{
		return true;
	}

	internal new void Add(int entry)
	{
		if (entry != 0 && entry - mHash != 0)
		{
			base.Add(entry - mHash);
		}
	}
}
